'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'

Imports System.Runtime.InteropServices
Imports System.Reflection
Imports System.Type

Imports Autodesk.AutoCAD.Runtime

<Assembly: ExtensionApplication(GetType(netEdge.netEdge))>
<Assembly: CommandClass(GetType(netEdge.createCommand))>
Namespace netEdge
    Public Class netEdge
        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication

        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

        End Sub

        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

        End Sub
    End Class

    Public Class createCommand
        <Autodesk.AutoCAD.Runtime.CommandMethod("CREATEEDGESYM")>
        Public Sub ShowNet()
            Dim userForm As New frmEdge
            If userForm.isSymSupported Then
                userForm.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
                userForm.Show()
            Else
                MsgBox("The current standard does not support edge symbol.")
            End If
        End Sub
    End Class

End Namespace

